mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.Rijndael System.Runtime.InteropServices.ComVisible(true)

This algorithm supports key lengths of 128, 192, or 256 bits.

Accesses the managed version of the algorithm. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform `` ``

  This method decrypts an encrypted message created using the overload with the same signature.

  The size must be 128, 192, or 256 bits.

  Creates a symmetric decryptor object with the specified and initialization vector ().

  A symmetric decryptor object.

  The secret key to be used for the symmetric algorithm. The key size must be 128, 192, or 256 bits. The IV to be used for the symmetric algorithm.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform `` ``

  Use the overload with the same signature to decrypt the result of this method.

  The size must be 128, 192, or 256 bits.

  Creates a symmetric encryptor object with the specified and initialization vector ().

  A symmetric encryptor object.

  The secret key to be used for the symmetric algorithm. The key size must be 128, 192, or 256 bits. The IV to be used for the symmetric algorithm.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Use this method to generate a random IV when none is specified.

  Generates a random initialization vector () to be used for the algorithm.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Use this method to generate a random key when none is specified.

  Generates a random to be used for the algorithm.